import GlobalWindow from './window/GlobalWindow.cjs';
import IWindow from './window/IWindow.cjs';
import Window from './window/Window.cjs';
import DataTransfer from './event/DataTransfer.cjs';
import DataTransferItem from './event/DataTransferItem.cjs';
import DataTransferItemList from './event/DataTransferItemList.cjs';
import { URL, URLSearchParams } from 'url';
import Location from './location/Location.cjs';
import MutationObserver from './mutation-observer/MutationObserver.cjs';
import ResizeObserver from './resize-observer/ResizeObserver.cjs';
import Blob from './file/Blob.cjs';
import File from './file/File.cjs';
import FileReader from './file/FileReader.cjs';
import DOMException from './exception/DOMException.cjs';
import History from './history/History.cjs';
import CSSStyleDeclaration from './css/declaration/CSSStyleDeclaration.cjs';
import Screen from './screen/Screen.cjs';
import AsyncTaskManager from './async-task-manager/AsyncTaskManager.cjs';
import NodeFilter from './tree-walker/NodeFilter.cjs';
import Event from './event/Event.cjs';
import EventTarget from './event/EventTarget.cjs';
import IEventInit from './event/IEventInit.cjs';
import IEventListener from './event/IEventListener.cjs';
import IUIEventInit from './event/IUIEventInit.cjs';
import UIEvent from './event/UIEvent.cjs';
import ErrorEvent from './event/events/ErrorEvent.cjs';
import FocusEvent from './event/events/FocusEvent.cjs';
import CustomEvent from './event/events/CustomEvent.cjs';
import AnimationEvent from './event/events/AnimationEvent.cjs';
import IAnimationEventInit from './event/events/IAnimationEventInit.cjs';
import ICustomEventInit from './event/events/ICustomEventInit.cjs';
import IErrorEventInit from './event/events/IErrorEventInit.cjs';
import IFocusEventInit from './event/events/IFocusEventInit.cjs';
import IInputEventInit from './event/events/IInputEventInit.cjs';
import IKeyboardEventInit from './event/events/IKeyboardEventInit.cjs';
import IMouseEventInit from './event/events/IMouseEventInit.cjs';
import IProgressEventInit from './event/events/IProgressEventInit.cjs';
import ISubmitEventInit from './event/events/ISubmitEventInit.cjs';
import IWheelEventInit from './event/events/IWheelEventInit.cjs';
import InputEvent from './event/events/InputEvent.cjs';
import KeyboardEvent from './event/events/KeyboardEvent.cjs';
import MouseEvent from './event/events/MouseEvent.cjs';
import ProgressEvent from './event/events/ProgressEvent.cjs';
import SubmitEvent from './event/events/SubmitEvent.cjs';
import WheelEvent from './event/events/WheelEvent.cjs';
import DOMParser from './dom-parser/DOMParser.cjs';
import Document from './nodes/document/Document.cjs';
import IDocument from './nodes/document/IDocument.cjs';
import HTMLDocument from './nodes/html-document/HTMLDocument.cjs';
import XMLDocument from './nodes/xml-document/XMLDocument.cjs';
import SVGDocument from './nodes/svg-document/SVGDocument.cjs';
import Element from './nodes/element/Element.cjs';
import IElement from './nodes/element/IElement.cjs';
import IHTMLCollection from './nodes/element/IHTMLCollection.cjs';
import HTMLCollection from './nodes/element/HTMLCollection.cjs';
import HTMLFormControlsCollection from './nodes/html-form-element/HTMLFormControlsCollection.cjs';
import IHTMLFormControlsCollection from './nodes/html-form-element/IHTMLFormControlsCollection.cjs';
import HTMLElement from './nodes/html-element/HTMLElement.cjs';
import IHTMLElement from './nodes/html-element/IHTMLElement.cjs';
import HTMLTemplateElement from './nodes/html-template-element/HTMLTemplateElement.cjs';
import IHTMLTemplateElement from './nodes/html-template-element/IHTMLTemplateElement.cjs';
import HTMLFormElement from './nodes/html-form-element/HTMLFormElement.cjs';
import IHTMLFormElement from './nodes/html-form-element/IHTMLFormElement.cjs';
import HTMLInputElement from './nodes/html-input-element/HTMLInputElement.cjs';
import IHTMLInputElement from './nodes/html-input-element/IHTMLInputElement.cjs';
import HTMLTextAreaElement from './nodes/html-text-area-element/HTMLTextAreaElement.cjs';
import IHTMLTextAreaElement from './nodes/html-text-area-element/IHTMLTextAreaElement.cjs';
import HTMLImageElement from './nodes/html-image-element/HTMLImageElement.cjs';
import IHTMLImageElement from './nodes/html-image-element/IHTMLImageElement.cjs';
import Image from './nodes/html-image-element/Image.cjs';
import HTMLScriptElement from './nodes/html-script-element/HTMLScriptElement.cjs';
import HTMLLinkElement from './nodes/html-link-element/HTMLLinkElement.cjs';
import IHTMLLinkElement from './nodes/html-link-element/IHTMLLinkElement.cjs';
import HTMLStyleElement from './nodes/html-style-element/HTMLStyleElement.cjs';
import IHTMLStyleElement from './nodes/html-style-element/IHTMLStyleElement.cjs';
import HTMLSlotElement from './nodes/html-slot-element/HTMLSlotElement.cjs';
import IHTMLSlotElement from './nodes/html-slot-element/IHTMLSlotElement.cjs';
import HTMLLabelElement from './nodes/html-label-element/HTMLLabelElement.cjs';
import IHTMLLabelElement from './nodes/html-label-element/IHTMLLabelElement.cjs';
import HTMLMetaElement from './nodes/html-meta-element/HTMLMetaElement.cjs';
import IHTMLMetaElement from './nodes/html-meta-element/IHTMLMetaElement.cjs';
import IHTMLMediaElement from './nodes/html-media-element/IHTMLMediaElement.cjs';
import HTMLMediaElement from './nodes/html-media-element/HTMLMediaElement.cjs';
import HTMLAudioElement from './nodes/html-audio-element/HTMLAudioElement.cjs';
import IHTMLAudioElement from './nodes/html-audio-element/IHTMLAudioElement.cjs';
import HTMLVideoElement from './nodes/html-video-element/HTMLVideoElement.cjs';
import IHTMLVideoElement from './nodes/html-video-element/IHTMLVideoElement.cjs';
import HTMLBaseElement from './nodes/html-base-element/HTMLBaseElement.cjs';
import IHTMLBaseElement from './nodes/html-base-element/IHTMLBaseElement.cjs';
import HTMLIFrameElement from './nodes/html-iframe-element/HTMLIFrameElement.cjs';
import IHTMLIFrameElement from './nodes/html-iframe-element/IHTMLIFrameElement.cjs';
import SVGElement from './nodes/svg-element/SVGElement.cjs';
import ISVGElement from './nodes/svg-element/ISVGElement.cjs';
import SVGGraphicsElement from './nodes/svg-element/SVGGraphicsElement.cjs';
import ISVGGraphicsElement from './nodes/svg-element/ISVGGraphicsElement.cjs';
import SVGSVGElement from './nodes/svg-element/SVGSVGElement.cjs';
import ISVGSVGElement from './nodes/svg-element/ISVGSVGElement.cjs';
import DocumentFragment from './nodes/document-fragment/DocumentFragment.cjs';
import IDocumentFragment from './nodes/document-fragment/IDocumentFragment.cjs';
import ShadowRoot from './nodes/shadow-root/ShadowRoot.cjs';
import IShadowRoot from './nodes/shadow-root/IShadowRoot.cjs';
import Node from './nodes/node/Node.cjs';
import INode from './nodes/node/INode.cjs';
import INodeList from './nodes/node/INodeList.cjs';
import Text from './nodes/text/Text.cjs';
import IText from './nodes/text/IText.cjs';
import Comment from './nodes/comment/Comment.cjs';
import IComment from './nodes/comment/IComment.cjs';
import DocumentType from './nodes/document-type/DocumentType.cjs';
import IDocumentType from './nodes/document-type/IDocumentType.cjs';
import NodeIterator from './tree-walker/NodeIterator.cjs';
import TreeWalker from './tree-walker/TreeWalker.cjs';
import CustomElementRegistry from './custom-element/CustomElementRegistry.cjs';
import XMLParser from './xml-parser/XMLParser.cjs';
import XMLSerializer from './xml-serializer/XMLSerializer.cjs';
import CSSStyleSheet from './css/CSSStyleSheet.cjs';
import CSSRule from './css/CSSRule.cjs';
import CSSContainerRule from './css/rules/CSSContainerRule.cjs';
import CSSFontFaceRule from './css/rules/CSSFontFaceRule.cjs';
import CSSKeyframeRule from './css/rules/CSSKeyframeRule.cjs';
import CSSKeyframesRule from './css/rules/CSSKeyframesRule.cjs';
import CSSMediaRule from './css/rules/CSSMediaRule.cjs';
import CSSStyleRule from './css/rules/CSSStyleRule.cjs';
import CSSSupportsRule from './css/rules/CSSSupportsRule.cjs';
import Storage from './storage/Storage.cjs';
import DOMRect from './nodes/element/DOMRect.cjs';
import Selection from './selection/Selection.cjs';
import Range from './range/Range.cjs';
import HTMLDialogElement from './nodes/html-dialog-element/HTMLDialogElement.cjs';
import IHTMLDialogElement from './nodes/html-dialog-element/IHTMLDialogElement.cjs';
import Attr from './nodes/attr/Attr.cjs';
import IAttr from './nodes/attr/IAttr.cjs';
import ProcessingInstruction from './nodes/processing-instruction/ProcessingInstruction.cjs';
import IProcessingInstruction from './nodes/processing-instruction/IProcessingInstruction.cjs';
import FileList from './nodes/html-input-element/FileList.cjs';
import IFileList from './nodes/html-input-element/IFileList.cjs';
import AbortController from './fetch/AbortController.cjs';
import AbortSignal from './fetch/AbortSignal.cjs';
import Request from './fetch/Request.cjs';
import IRequest from './fetch/types/IRequest.cjs';
import Response from './fetch/Response.cjs';
import IResponse from './fetch/types/IResponse.cjs';
import Headers from './fetch/Headers.cjs';
import IHeaders from './fetch/types/IHeaders.cjs';
import FormData from './form-data/FormData.cjs';
import EventPhaseEnum from './event/EventPhaseEnum.cjs';
export { GlobalWindow, Window, IWindow, DataTransfer, DataTransferItem, DataTransferItemList, URL, Location, MutationObserver, ResizeObserver, Blob, File, FileReader, DOMException, History, CSSStyleDeclaration, Screen, AsyncTaskManager, NodeFilter, Event, EventTarget, IEventInit, IEventListener, IUIEventInit, UIEvent, ErrorEvent, FocusEvent, AnimationEvent, IAnimationEventInit, ICustomEventInit, CustomEvent, IErrorEventInit, IFocusEventInit, IInputEventInit, IKeyboardEventInit, IMouseEventInit, IProgressEventInit, ISubmitEventInit, IWheelEventInit, InputEvent, KeyboardEvent, MouseEvent, ProgressEvent, SubmitEvent, WheelEvent, DOMParser, Document, IDocument, HTMLDocument, XMLDocument, SVGDocument, Element, IElement, IHTMLCollection, HTMLCollection, HTMLFormControlsCollection, IHTMLFormControlsCollection, HTMLElement, IHTMLElement, HTMLTemplateElement, IHTMLTemplateElement, HTMLFormElement, IHTMLFormElement, HTMLInputElement, IHTMLInputElement, HTMLTextAreaElement, IHTMLTextAreaElement, HTMLImageElement, IHTMLImageElement, Image, HTMLScriptElement, HTMLLinkElement, IHTMLLinkElement, HTMLStyleElement, IHTMLStyleElement, HTMLSlotElement, IHTMLSlotElement, HTMLLabelElement, IHTMLLabelElement, HTMLMetaElement, IHTMLMetaElement, HTMLMediaElement, IHTMLMediaElement, HTMLAudioElement, IHTMLAudioElement, HTMLVideoElement, IHTMLVideoElement, HTMLBaseElement, IHTMLBaseElement, HTMLIFrameElement, IHTMLIFrameElement, SVGElement, ISVGElement, SVGGraphicsElement, ISVGGraphicsElement, SVGSVGElement, ISVGSVGElement, DocumentFragment, IDocumentFragment, ShadowRoot, IShadowRoot, Node, INode, INodeList, Text, IText, Comment, IComment, DocumentType, IDocumentType, NodeIterator, TreeWalker, CustomElementRegistry, XMLParser, XMLSerializer, CSSStyleSheet, CSSRule, CSSContainerRule, CSSFontFaceRule, CSSKeyframeRule, CSSKeyframesRule, CSSMediaRule, CSSStyleRule, CSSSupportsRule, Storage, DOMRect, URLSearchParams, Selection, Range, HTMLDialogElement, IHTMLDialogElement, Attr, IAttr, ProcessingInstruction, IProcessingInstruction, FileList, IFileList, AbortController, AbortSignal, Request, IRequest, Response, IResponse, Headers, IHeaders, FormData, EventPhaseEnum };
//# sourceMappingURL=index.d.ts.map