import HTMLScriptElement from './HTMLScriptElement.cjs';
/**
 * Helper class for getting the URL relative to a Location object.
 */
export default class HTMLScriptElementUtility {
    /**
     * Returns a URL relative to the given Location object.
     *
     * @param options Options.
     * @param options.element Element.
     * @param element
     */
    static loadExternalScript(element: HTMLScriptElement): Promise<void>;
    /**
     * Evaluates a script code.
     *
     * @param element Element.
     * @param code Code.
     */
    static eval(element: HTMLScriptElement, code: string): void;
    /**
     * Triggered when an error occurs.
     *
     * @param element Element.
     * @param error Error.
     */
    private static onError;
}
//# sourceMappingURL=HTMLScriptElementUtility.d.ts.map